Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface IDiagramPreferenceSupport

All Known Implementing Classes:
  DiagramRootEditPart

public interface IDiagramPreferenceSupport

Used to identify an editpart as having preference support. A root editpart created in the EditPart Service {@link org.eclipse.gmf.runtime.diagram.ui.services.editpart.EditPartService#createRootEditPart() should implement this interface if the diagram is to support the common diagram preferences.

Method Summary
`PreferencesHint` `getPreferencesHint()` Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values.
`void` `setPreferencesHint(PreferencesHint preferenceHint)` Sets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values.

Method Detail

### setPreferencesHint

    public void setPreferencesHint(PreferencesHint preferenceHint)

  Sets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### getPreferencesHint

    public PreferencesHint getPreferencesHint()

  Gets the preferences hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

  Returns:
    the preferences hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.